Subject: Re: Agent Performance
From: Deeksha Dadu <[email-masked]>
To: Christopher Ngo <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Tue, 6 Oct 2020 14:31:31 +0000

Hi Chris,

Thank you for your email.

This has come as a quite a surprise for us as in all weekly meetings we have had with Ingrid, she never expressed any concern regarding productivity. Infact, we were supposed to have weekly meeting with her today and she didn’t come online.

In the table below, are these the number of builds and rebuilds? Can we have a quick call tomorrow so that I understand the performance vs. targets better? I am available anytime after 11am UK time. Please let me know what time works for you.

About the lack of engagement from agents, I will speak with them.

Please rest assured that this will be resolved at the earliest.

Thank you

Kind regards,
Deeksha

From: Christopher Ngo <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 6 October 2020 at 7:50 PM
To: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>, Ashish Dabral <[email-masked]<mailto:[email-masked]>>
Subject: Agent Performance

Hi Deeksha, Ashish,

I am writing to you today with some major concerns over the performance of the agents for the past 2 weeks.
From what I can see, there has been a substantial decrease in their output. The builds & rebuilds have been at 50-60% of the expected amount.
Furthermore, in the most recent meetings, there has been zero interaction & engagement from the agents.

Please refer to the table below for a view of this underperformance:

Let me know at your earliest convenience.

Kind regards,
,
--
[logo]

Christopher Ngo, Head of Operations
UENI LTD
7 Bell Yard
London, WC2A 2JR
ueni.com<http://www.ueni.com/> | [email-masked]<mailto:[email-masked]>

UENI is a limited company registered in England and Wales under registration number 9368082. Registered office is 7 Bell Yard, London, WC2A 2JR. VAT Number: GB218792186

We love feedback - review us on TrustPilot<https://uk.trustpilot.com/review/ueni.com> and Google<http://goo.gl/7Umimf>
[https://ueni-public.s3.eu-central-1.amazonaws.com/google_partner_small.png]<https://www.google.com/partners/agency?id=6750886093>